<?php
/**
 * MetaTagCollection Model
 *
 * @author Elze Kool <info@visualmedia.nl>
 */

namespace VisualM\TagManagerBundle\Model;

use Doctrine\Common\Collections\ArrayCollection;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * MetaTagCollection Model
 *
 * @author Elze Kool <info@visualmedia.nl>
 */
class MetaTagCollection
{
    /**
     * MetaTags
     * @Assert\Valid()
     * @var ArrayCollection
     */
    protected $metaTags;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->metaTags = new ArrayCollection();
    }

    /**
     * Get MetaTags
     *
     * @return ArrayCollection MetaTags
     **/
    public function getMetaTags()
    {
        return $this->metaTags;
    }

    /**
     * Set MetaTags
     *
     * @param ArrayCollection $metaTags MetaTags
     *
     * @return void
     **/
    public function setMetaTags($metaTags)
    {
        $this->metaTags = $metaTags;
    }

}
